/**
 *
 */
package com.pcloud.book.book.dto;

import com.pcloud.common.dto.BaseDto;

/**
 * @描述：
 * @作者：songx
 * @创建时间：2016年12月30日,上午11:44:11
 * @版本：1.0
 */
public class BookAdviserDto extends BaseDto {

    /**
     *
     */
    private static final long serialVersionUID = -1560785054366122661L;

    /**
     * 书籍编辑标识
     */
    private Long bookAdviserId;

    /**
     * 书籍标识
     */
    private Long bookId;

    private String isbn;
    /**
     * 封面图
     */
    private String coverImg;

    /**
     * 编辑标识
     */
    private Long adviserId;

    /**
     * 编辑名称
     */
    private String adviserName;

    /**
     * 渠道标识
     */
    private Long channelId;

    /**
     * 渠道名称
     */
    private String channelName;

    /**
     * 书籍数量
     */
    private Integer count;

    /**
     * 是否是主编辑
     */
    private Boolean isMainEditor;

    /**
     * 代理标识
     */
    private Long agentId;

    /**
     * 代理名称
     */
    private String agentName;

    /**
     * 图书基本信息
     */
    private BookDto bookDto;

    /**
     * 是否已经被删除 1是 0否
     */
    private Integer isDelete;
    
    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }

    public String getAdviserName() {
        return adviserName;
    }

    public void setAdviserName(String adviserName) {
        this.adviserName = adviserName;
    }

    public String getChannelName() {
        return channelName;
    }

    public void setChannelName(String channelName) {
        this.channelName = channelName;
    }

    public Long getBookAdviserId() {
        return bookAdviserId;
    }

    public void setBookAdviserId(Long bookAdviserId) {
        this.bookAdviserId = bookAdviserId;
    }

    public Long getBookId() {
        return bookId;
    }

    public void setBookId(Long bookId) {
        this.bookId = bookId;
    }

    public Long getAdviserId() {
        return adviserId;
    }

    public void setAdviserId(Long adviserId) {
        this.adviserId = adviserId;
    }

    public Long getChannelId() {
        return channelId;
    }

    public void setChannelId(Long channelId) {
        this.channelId = channelId;
    }

    public Boolean getIsMainEditor() {
        return isMainEditor;
    }

    public void setIsMainEditor(Boolean isMainEditor) {
        this.isMainEditor = isMainEditor;
    }

    public Long getAgentId() {
        return agentId;
    }

    public void setAgentId(Long agentId) {
        this.agentId = agentId;
    }

    public String getAgentName() {
        return agentName;
    }

    public void setAgentName(String agentName) {
        this.agentName = agentName;
    }

    public BookDto getBookDto() {
        return bookDto;
    }

    public void setBookDto(BookDto bookDto) {
        this.bookDto = bookDto;
    }

    public Integer getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    public String getIsbn() {
        return isbn;
    }

    public void setIsbn(String isbn) {
        this.isbn = isbn;
    }

    public Boolean getMainEditor() {
        return isMainEditor;
    }

    public void setMainEditor(Boolean mainEditor) {
        isMainEditor = mainEditor;
    }

    public String getCoverImg() {
        return coverImg;
    }

    public void setCoverImg(String coverImg) {
        this.coverImg = coverImg;
    }

    @Override
    public String toString() {
        return "BookAdviserDto{" +
                "bookAdviserId=" + bookAdviserId +
                ", bookId=" + bookId +
                ", isbn='" + isbn + '\'' +
                ", coverImg='" + coverImg + '\'' +
                ", adviserId=" + adviserId +
                ", adviserName='" + adviserName + '\'' +
                ", channelId=" + channelId +
                ", channelName='" + channelName + '\'' +
                ", count=" + count +
                ", isMainEditor=" + isMainEditor +
                ", agentId=" + agentId +
                ", agentName='" + agentName + '\'' +
                ", bookDto=" + bookDto +
                ", isDelete=" + isDelete +
                '}';
    }
}
